package com.mortals.xhx.module.feedback.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.feedback.model.vo.FeedbackStaffVo;
import lombok.Data;
/**
* 员工反馈问卷实体对象
*
* @author zxfei
* @date 2023-07-06
*/
@Data
public class FeedbackStaffEntity extends FeedbackStaffVo {
    private static final long serialVersionUID = 1L;

    /**
    * 反馈问卷id号
    */
    private Long feedbackId;
    /**
    * 用户id
    */
    private Long staffId;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FeedbackStaffEntity) {
            FeedbackStaffEntity tmp = (FeedbackStaffEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.feedbackId = 0L;

            this.staffId = 0L;

            this.remark = "";
    }
}